QGIS Application - Bug report #19445
crash when zooming in DEM
2018-07-19 02:29 PM - Arnaud Pujol

Status: Closed
Priority: Normal
Assignee:

Category: Rasters

Affected QGIS version:3.0.3
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 27273

Description

User Feedback

zooming in

Report Details

Crash ID: 5fe87e1d589013065bc457¢1527801c73b2dab97

Stack Trace

QgsColorRampShader::shade :
QgsSingleBandPseudoColorRenderer::block :
QgsBrightnessContrastFilter::block :
QgsHueSaturationFilter::block :
QgsRasterResampleFilter::block :
QgsRasterProjector::block :
QgsRasterlterator::readNextRasterPart :
QgsRasterDrawer::draw :
QgsRasterLayerRenderer::render :
QgsMapRendererParallelJob::renderLayerStatic :
QgsMapRendererParallelJob::renderingFinished :
QgsArchive::zip :

QgslmageOperation::fliplmage :
QtConcurrent::ThreadEngineBase::run :
QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: commit:8a899c8758
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64
Kernel Type: winnt
Kernel Version: 6.1.7601

Associated revisions

Revision 34b21918 - 2018-07-20 07:10 AM - Nyall Dawson

2025-06-08




Fix raster stats calculation for very small extents compared with

pixel size, when a sample size is set

Refs #19445

Revision f3650e6b - 2018-07-20 07:10 AM - Nyall Dawson

Fix potential crash in color ramp shader

Fixes #19445

Revision 1601e57d - 2018-07-20 08:00 AM - Nyall Dawson

Fix raster stats calculation for very small extents compared with

pixel size, when a sample size is set

Refs #19445

(cherry-picked from 34b21918)

Revision 237af60a - 2018-07-20 08:00 AM - Nyall Dawson

Fix potential crash in color ramp shader

Fixes #19445

(cherry-picked from f3650e6bb)

History

#1 - 2018-07-19 02:33 PM - Giovanni Manghi
- Category changed from Actions to Rasters

- Status changed from Open to Feedback

You must test 3.2, if it persists please attach sample project and data. Thanks.

#2 - 2018-07-19 11:45 PM - Andrew McAninch
- File test.zip added

| get this crash also, in QGIS 3.2 nighlty on windows?. It happens with a raster layer with specific symbology settings: single band pseudocolor, min/max
set to a standard deviation and the "statistics extent" set to updated canvas. Then QGIS will crash when | zoom in 1:8 or more. Im guessing it may have to
do with trying to calc the SD with too few cells in the extent? The crash also happens if you zoom in on a raster without those settings and then paste a bad

symbology. no zooming required.

#3 - 2018-07-20 03:42 AM - Nyall Dawson
Thanks Andrew - confirmed.

#4 - 2018-07-20 04:56 AM - Nyall Dawson
- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/7442

#5 - 2018-07-20 07:10 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Feedback to Closed

Applied in changeset commit:qgis|f3650e6bb484f3e89a27d9444e2069d0a465732c.

Files

test.zip 38.3KB 2018-07-19 Andrew McAninch
https://github.com/qgis/QGIS/pull/7442

